JSP v1.1 and Servlet v2.2 API Reference: Class TagLibraryInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagLibraryInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagLibraryInfo

public abstract class TagLibraryInfo
extends java.lang.Object

Information on the Tag Library; this class is instantiated from the Tag Library Descriptor file (TLD).

Field Summary
`protected java.lang.String` | `info`
`protected java.lang.String` | `jspversion`
`protected java.lang.String` | `prefix`
`protected java.lang.String` | `shortname`
`protected TagInfo[]` | `tags`
`protected java.lang.String` | `tlibversion`
`protected java.lang.String` | `uri`
`protected java.lang.String` | `urn`

Constructor Summary
`protected` | `TagLibraryInfo(java.lang.String prefix, java.lang.String uri)` Constructor This will invoke the constructors for TagInfo, and TagAttributeInfo after parsing the TLD file.

Method Summary
`java.lang.String` | `getInfoString()`
`java.lang.String` | `getPrefixString()`
`java.lang.String` | `getReliableURN()`
`java.lang.String` | `getRequiredVersion()` The required version.
`java.lang.String` | `getShortName()`
`TagInfo` | `getTag(java.lang.String shortname)` Get the TagInfo for a given tag name
`TagInfo[]` | `getTags()`
`java.lang.String` | `getURI()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefix

    protected java.lang.String prefix

### uri

    protected java.lang.String uri

### tags

    protected TagInfo[] tags

### tlibversion

    protected java.lang.String tlibversion

### jspversion

    protected java.lang.String jspversion

### shortname

    protected java.lang.String shortname

### urn

    protected java.lang.String urn

### info

    protected java.lang.String info

Constructor Detail

### TagLibraryInfo

    protected TagLibraryInfo(java.lang.String prefix,
                             java.lang.String uri)

  Constructor This will invoke the constructors for TagInfo, and TagAttributeInfo after parsing the TLD file.
  Parameters:
    `prefix` - the prefix actually used by the taglib directive
    `uri` - the URI actually used by the taglib directive

Method Detail

### getURI

    public java.lang.String getURI()

  Returns:
    the URI from the <%@ taglib directive for this library

### getPrefixString

    public java.lang.String getPrefixString()

  Returns:
    the prefix assigned to this taglib from the <%taglib directive

### getShortName

    public java.lang.String getShortName()

  Returns:
    the prefered short name for the library

### getReliableURN

    public java.lang.String getReliableURN()

  Returns:
    a reliable URN to a TLD like this

### getInfoString

    public java.lang.String getInfoString()

  Returns:
    the info string for this tag lib

### getRequiredVersion

    public java.lang.String getRequiredVersion()

  The required version. TODO -- minimal?

### getTags

    public TagInfo[] getTags()

  Returns:
    the tags defined in this tag lib

### getTag

    public TagInfo getTag(java.lang.String shortname)

  Get the TagInfo for a given tag name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD